Subject: Re: [SCM] GNU Libtool annotated tag, v2.2.7b, created. v2.2.7b

From: Thomas Rast <[email-masked]>
Date: Fri, 21 May 2010 11:48:08 +0200

Gary V. Vaughan wrote:
> Git bug?  Or am I misunderstanding something?
> 
> On 21 May 2010, at 07:00, Gary V. Vaughan wrote:
> > This is an automated email from the git hooks/post-receive script. It was
> > generated because a ref change was pushed to the repository containing
> > the project "GNU Libtool".
> > 
> > The annotated tag, v2.2.7b has been created
> >        at  13412c2e2dfe7a720483c8d1dc98ca21c13c0483 (tag)
> >   tagging  99da5501fcca20d7cab7f328e223c7520c1a6701 (commit)
> >  replaces  v2.2.6
>    ^^^^^^^
> > tagged by  Gary V. Vaughan
> >        on  Fri May 21 06:26:53 2010 +0700
> 
> This implies v2.2.6 tag was removed, and v2.2.7b was created in its place.
> And yet in a freshly cloned tree I still see the v2.2.6 tag at commit
> c7f97f395615fb62c96de30c6925484ecd0cee2e.  I'm running git version 1.6.6.1.

>>From a brief look at contrib/hooks/post-receive-email, this is merely
the nearest tag for 99da550^ (i.e., the "previous" tag before this)
combined with a poor choice of words.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch